Repository 32bit  Forum
Repository 64bit  Wiki

openshot 1.3.1

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 13:21

Codice: Seleziona tutto
 
root@darkstar:~# openshot
Added /usr/share/openshot to system path
--------------------------------
   OpenShot (version 1.3.1)
--------------------------------
*** ERROR: MLT Python bindings failed to import ***
*** ERROR: MLT Python bindings failed to import ***
*** ERROR: MLT Python bindings failed to import ***
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib64/python2.6/threading.py", line 532, in __bootstrap_inner
    self.run()
  File "/usr/share/openshot/classes/thumbnail.py", line 170, in run
    mlt.Factory().init()
NameError: global name 'mlt' is not defined

*** ERROR: MLT Python bindings failed to import ***

------------------------- ERROR 1 ------------------------------
Failed to import 'from openshot import main'
Error Message: No module named mlt
----------------------------------------------------------------

------------------------- ERROR 2 ------------------------------
Failed to import 'from openshot.openshot import main'
Error Message: No module named openshot
----------------------------------------------------------------

OpenShot has failed to import some of the Python files or libraries
required for our application to run.  Here are some trouble shooting
tips:

Tip 1) Check if MLT can be successfully imported in Python.  Run the
 following commands, and see if any errors are displayed.  If you get
 an error, you need to investigate the correct way to install MLT.
 NOTE:  Do not type the $ or >> characters in the examples below.

       $ python
       >> import mlt
       >> mlt.Factory().init()

Tip 2) If MLT is working from the first example, then the next tip is
 to look at the above error messages very closely, and google for more
 help.  It's likely the problem is already reported, and maybe there is
 a simple work-around.  Also, you can search for bugs or report a new
 bug at https://bugs.launchpad.net/openshot.  Good luck!

root@darkstar:~# python
Python 2.6.6 (r266:84292, Nov 27 2010, 17:27:14)
[GCC 4.5.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import mlt
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named mlt
>>> mlt.Factory ().init()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name 'mlt' is not defined
>>>


ciao a tutti! sono bloccato qui sull'installazione di openshot.
dove ho sbagliato? solito problema di dipendenze ? eppure ho usato solo il repo di slacky. ho usato sempre gli slackbuilds eccetto 4 o 5 pacchetti dove ho preso diretamente i .txz perché non compilavano.
sono su current 64, 2.6.38-7.


grazie ancora
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda Ansa89 » lun giu 13, 2011 13:24

1) Impara a usare i tag del forum.
2) Devi installare il modulo "mlt" per python.
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2623
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.16.1-ck1
Desktop: XFCE 4.6.1

Re: openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 14:21

ls -a /var/log/packages | grep mlt
mlt-0.7.2-x86_64-1sl

ah! scusa ma adesso sono un pò sul cotto andante. ho cercato un pochino con google ma non trovo questo modulo mlt-python se è così che si chiama.
come si potrebbe fare?

abbi pazienza,grazie!
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 14:40

ls -a /var/log/packages | grep python
compizconfig-python-0.8.4-x86_64-3_SBo_ngl
dbus-python-0.83.1-x86_64-1
notify-python-0.1.1-x86_64-1
python-2.6.6-x86_64-1


questo è tutto quello che ho di python installato.
non capisco quale sia mlt per python...
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda gohanz » lun giu 13, 2011 16:00

tornadomig ha scritto:ls -a /var/log/packages | grep python
compizconfig-python-0.8.4-x86_64-3_SBo_ngl
dbus-python-0.83.1-x86_64-1
notify-python-0.1.1-x86_64-1
python-2.6.6-x86_64-1


questo è tutto quello che ho di python installato.
non capisco quale sia mlt per python...


I bindings Python per Mlt fanno parte del pacchetto Mlt stesso. Vedo però che il pacchetto i686 li contiene, mentre il pacchetto x86_64 è senza. Dovresti ricompilare il pacchetto x86_64, abilitando i bindings python, segnalando la cosa anche su pkgreports.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 17:03

# sh mlt.SlackBuild
--2011-06-13 17:55:45-- http://sourceforge.net/projects/mlt/fil ... 7.2.tar.gz
Risoluzione di sourceforge.net (sourceforge.net)... 216.34.181.60
Connessione a sourceforge.net (sourceforge.net)|216.34.181.60|:80... connesso.
HTTP richiesta inviata, in attesa di risposta... 200 OK
Lunghezza: non specificato [text/html]
Salvataggio in: "mlt-0.7.2.tar.gz"

[ <=> ] 415 --.-K/s in 0s

2011-06-13 17:55:45 (77,5 MB/s) - "mlt-0.7.2.tar.gz" salvato [415]

tar: Questo non sembra un archivio tar

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now


grazie dell'aiuto!!!
questo è il responso quando cerco di ricompilare mlt con lo slackbuild. stessa cosa con il repo di slacky che con quello di slack.isper.sk. non riuscendo a compilare ho installato il pacchetto .txz.
sarebbe giusto? che ti devo dire...non so come devo abilitare questi bindings che ignoro cosa siano 8-)
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda Blallo » lun giu 13, 2011 17:05

mlt l'ho fatto io e l'ho già ricompilato aggiungendo i bindings python e Ruby.
Bisogna solo aspettare che Loris aggiorni il repo :)
EDIT: se non puoi aspettare, eccoti lo SB modificato
Allegati
mlt.tar.gz
(3.76 KiB) Scaricato 49 volte
Io sono il detective Arsenio Magret, e porto sempre la camicia TATUATA!
Avatar utente
Blallo
Packager
Packager
 
Messaggi: 3234
Iscritto il: ven ott 12, 2007 10:37
Località: Torino / Torremaggiore (FG)
Nome Cognome: Savino Liguori
Slackware: 14.1 / 12.2
Kernel: 3.12.2-ck
Desktop: Openbox

Re: openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 17:10

in pratica si tratta di aspettare e poi riprovare a ricompilare, giusto? incrociando le dita 8-)
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda tornadomig » lun giu 13, 2011 17:13

@jimmy_page_89: grazie per l'allegato ma ignorando come utilizzarlo (spero di non aver bestemmiato, chiedo venia), lascio stare 8-)
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda lablinux » mar giu 14, 2011 14:31

Lo devi installare, ti ha fornito il pacchetto.
Prima rimuovi il pacchetto mlt con
Codice: Seleziona tutto
pkgtool
vai su Remove e selezioni mlt
Poi installi quello che ti ha passato jimmy_page_89
Codice: Seleziona tutto
installpkg mlt.tar.gz
che, come ti ha già detto jimmy_page_89, diventerà il pacchetto ufficiale in slacky quando Loris darà l'ok

P.S. magari questo può esserti utile http://www.slackware.com/config/packages.php

Ciao Michele
Avatar utente
lablinux
Linux 2.6
Linux 2.6
 
Messaggi: 754
Iscritto il: gio nov 27, 2008 12:23
Località: Rho
Slackware: 14 64bit
Desktop: kde4

Re: openshot 1.3.1

Messaggioda tornadomig » mar giu 14, 2011 16:28

oh grazie

completo l'opera poi faccio sapere se mettere "risolto"
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda 414N » mar giu 14, 2011 21:02

lablinux ha scritto:Lo devi installare, ti ha fornito il pacchetto.

:-k
Veramente, a me quello sembra solo un archivio contenente lo SlackBuild...
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2882
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: openshot 1.3.1

Messaggioda tornadomig » gio lug 07, 2011 18:41

Codice: Seleziona tutto
giorgio@darkstar:~$ ls -a /var/log/packages | grep mlt
mlt-0.7.2-x86_64-3sl

ciao a tutti,
ho provato di tutto...ho trovato anche dipendenze che non avevo incluso tra l'altro. il pacchetto di jimmy_page l'ho installato. qualche volta ho visto aprirsi la finestra di openshot ma mi compare questo:
Codice: Seleziona tutto
giorgio@darkstar:~$ openshot
Added /usr/share/openshot to system path
--------------------------------
   OpenShot (version 1.3.1)
--------------------------------
Process no longer exists: 9600.  Creating new pid lock file.
Failed to import VimeoClient.  Removed Vimeo from upload screen, to allow OpenShot to continue working.
No formats or codecs were found.  Please check the OpenShot preferences and configure the 'melt' command name.
Errore di segmentazione

come potrei risolvere? grazie sempre della pazienza
rm -rf / && rm -rf . && rm -rf *
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
 
Messaggi: 508
Iscritto il: gio set 30, 2010 14:17
Nome Cognome: giorgio
Slackware: -curr64 uefi_grub
Kernel: 3.14.17
Desktop: KDE-4.14.0
Distribuzione: gentoo

Re: openshot 1.3.1

Messaggioda nyquist » ven lug 08, 2011 11:19

Anche a me fa una cosa simile...
Lanciando openshot da linea di comando:
Codice: Seleziona tutto
------------------------- ERROR 1 ------------------------------
Failed to import 'from openshot import main'
Error Message: cannot import name main
----------------------------------------------------------------
--------------------------------
   OpenShot (version 1.3.1)
--------------------------------
Process no longer exists: 14985.  Creating new pid lock file.
Failed to import VimeoClient.  Removed Vimeo from upload screen, to allow OpenShot to continue working.
Errore di segmentazione

A me non compare neppure l'interfaccia grafica...
N.B. Ho la seguente mlt: mlt-0.7.2-i686-1sl
Avatar utente
nyquist
Linux 2.4
Linux 2.4
 
Messaggi: 217
Iscritto il: sab ago 02, 2008 15:02
Località: Gonars (UD)
Nome Cognome: Cristiano Urban
Slackware: 14.1 x86
Kernel: 3.10.17-smp
Desktop: KDE 4.10.5
Distribuzione: CentOS, Fedora

Re: openshot 1.3.1

Messaggioda gohanz » ven lug 08, 2011 13:55

Ho il sospetto che l'aggiornamento di FFmpeg alla 0.7.1 dia problemi a Mlt. Mlt è il motore sia di Openshot che di Kdenlive ad esempio.
Ora fino a FFmpeg 0.6.3 tutto funziona bene. Ora anche sul mio pc ci sono problemi. Tra l'altro la ricompilazione di Mlt con il nuovo FFmpeg 0.7.1 sembra non risolvere.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti